## ros-kinetic-sesame-ros 2.1.17

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(sesame_ros)

find_package(catkin REQUIRED COMPONENTS
  catkin_virtualenv
  message_generation
)

add_service_files(
  FILES
  Command.srv
  Status.srv
)

generate_messages(
  DEPENDENCIES
)

catkin_package(
  CATKIN_DEPENDS message_runtime
)

catkin_generate_virtualenv()

include_directories()

file(GLOB NODE_SCRIPTS_FILES node_scripts/*)
file(GLOB SCRIPTS_FILES scripts/*)
catkin_install_python(
  PROGRAMS ${NODE_SCRIPTS_FILES} ${SCRIPTS_FILES}
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(FILES requirements.txt
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== requirements.txt ===
cryptography==2.3
ndg-httpsclient==0.5.1
pyasn1==0.4.8
pyOpenSSL==17.5.0
requests==2.20.0
idna==2.7
urllib3==1.24.2

=== debian/changelog ===
ros-kinetic-sesame-ros (2.1.17-1xenial) xenial; urgency=high

  * update pip modules for security reason (#196 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/196>)
  * add idna==2.7
    to cloes ERROR: requests 2.20.0 has requirement idna<2.8,>=2.5, but you'll have idna 2.9 which is incompatible.
  * Bump urllib3 from 1.22 to 1.24.2 in /sesame_ros
    Bumps [urllib3](https://github.com/urllib3/urllib3) from 1.22 to 1.24.2.
    - [Release notes](https://github.com/urllib3/urllib3/releases)
    - [Changelog](https://github.com/urllib3/urllib3/blob/master/CHANGES.rst)
    - [Commits](https://github.com/urllib3/urllib3/compare/1.22...1.24.2)
    Signed-off-by: dependabot[bot] <mailto:support@github.com>
  * Bump requests from 2.19.1 to 2.20.0 in /sesame_ros
    Bumps [requests](https://github.com/psf/requests) from 2.19.1 to 2.20.0.
    - [Release notes](https://github.com/psf/requests/releases)
    - [Changelog](https://github.com/psf/requests/blob/master/HISTORY.md)
    - [Commits](https://github.com/psf/requests/compare/v2.19.1...v2.20.0)
    Signed-off-by: dependabot[bot] <mailto:support@github.com>
  * Bump pyopenssl from 16.2.0 to 17.5.0 in /sesame_ros
    Bumps [pyopenssl](https://github.com/pyca/pyopenssl) from 16.2.0 to 17.5.0.
    - [Release notes](https://github.com/pyca/pyopenssl/releases)
    - [Changelog](https://github.com/pyca/pyopenssl/blob/master/CHANGELOG.rst)
    - [Commits](https://github.com/pyca/pyopenssl/compare/16.2.0...17.5.0)
    Signed-off-by: dependabot[bot] <mailto:support@github.com>
  * Contributors: Kei Okada, dependabot[bot]

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-kinetic-sesame-ros (2.1.16-1xenial) xenial; urgency=high

  * add i386 tests (#191 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/191>)
  * specify python module number, closes #190 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/190>
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-kinetic-sesame-ros (2.1.15-1xenial) xenial; urgency=high

  * [sesame_ros] Add dependency for building cryptograpy (#180 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/180>)
    
      * Add url of ROS wiki for sesame_ros
      * Add k-okada to maintainer of sesame_ros
      * Add libffi-dev and libssl-dev as dependencies of cryptography
    
  * Contributors: Yuto Uchimi

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 12 Dec 2019 00:00:00 -0000

ros-kinetic-sesame-ros (2.1.14-1xenial) xenial; urgency=high

  * Add sesame_ros package (#176 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/176>)
  * Contributors: Yuto Uchimi

 -- Yuto Uchimi <uchimi@jsk.imi.i.u-tokyo.ac.jp>  Thu, 21 Nov 2019 00:00:00 -0000

=== debian/control ===
Source: ros-kinetic-sesame-ros
Section: misc
Priority: optional
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), libffi-dev, libssl-dev, ros-kinetic-catkin, ros-kinetic-catkin-virtualenv, ros-kinetic-message-generation
Homepage: http://ros.org/wiki/sesame_ros
Standards-Version: 3.9.2

Package: ros-kinetic-sesame-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-message-runtime
Description: ROS API for Sesame smart lock

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-sesame-ros//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
